# $Revision: 1.46 $, $Date: 2008-05-28 18:05:29 $
Summary:	A compact, console-only getty
Summary(de.UTF-8):	Ein kompaktes, auf Konsolen beschränktes GETTY
Summary(es.UTF-8):	Un getty compacto, que sólo funciona en la consola
Summary(fr.UTF-8):	getty compact, uniquement pour la console
Summary(pl.UTF-8):	Mały getty - tylko na konsolę (minimal getty)
Summary(pt_BR.UTF-8):	Um getty compacto, que só funciona na console
Summary(tr.UTF-8):	Ufak bir getty
Name:		mingetty
Version:	1.07
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/mingetty/%{name}-%{version}.tar.gz
# Source0-md5:	72e4bce381908556ede9c3f959d1ca7a
Patch0:		%{name}-utf8.patch
Patch1:		%{name}-mono-console.patch
Patch2:		%{name}-defaultlogin.patch
Patch3:		%{name}-remote.patch
URL:		http://sourceforge.net/projects/mingetty
Requires:	login
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_sbindir	/sbin

%description
mingetty, by Florian La Roche, is a lightweight, minimalist getty for
use on virtual consoles only. mingetty is not suitable for serial
lines (the author recommends using `mgetty' for that purpose).

%description -l de.UTF-8
mingetty von Florian La Roche ist ein kleiner, minimalistischer getty
für die Verwendung an virtuellen Konsolen. Er ist nicht für serielle
Leitungen geeignet (der Autor empfiehlt für diesen Zweck`mgetty').

%description -l es.UTF-8
mingetty, de Florian La Roche, es un ligero y pequeño getty para usar
solamente en pantallas virtuales. Mingetty no es apropiado para líneas
seriales (el autor recomienda el uso de "mgetty" para este propósito.

%description -l fr.UTF-8
mingetty, de Florian La Roche, est un getty réduit et allégé pour
console virtuelle uniquement. mingetty n'est pas adapté pour les
lignes série (l'auteur recommande d'utiliser `mgetty' pour cet usage).

%description -l pl.UTF-8
Mingetty - Floriana La Roche, jest minimalnym getty do użytku na
wirtualnej konsoli. Mingetty nie obsługuje portów szeregowych.

%description -l pt_BR.UTF-8
mingetty, de Florian La Roche, é um leve e pequeno getty para usar
somente em consoles virtuais. Mingetty não é apropriado para linhas
seriais (o autor recomenda o uso de "mgetty" para este propósito.

%description -l tr.UTF-8
Bu pakette seri bağlantı üzerinden sisteme girişe olanak veren, akıllı
bir getty sürümü bulunur. Otomatik arama ve faks desteği içerir
(sağladığı fax desteğinin tam olarak kullanılabilmesi için
mgetty-sendfax paketi gerekir).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -W -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sbindir}}

install mingetty $RPM_BUILD_ROOT%{_sbindir}

install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/mingetty
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mingetty.spec,v $
Revision 1.46  2008-05-28 18:05:29  glen
- rel 3 for fc2 upgrade

Revision 1.45  2007-02-16 15:29:19  qboosh
- use optflags again

Revision 1.44  2007/02/16 15:10:11  qboosh
- gpm-friendly Source0 URL

Revision 1.43  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.42  2007/02/11 22:13:49  glen
- regular changelog confuses changelog cutting

Revision 1.41  2007/02/11 19:56:57  arekm
- rel 1

Revision 1.40  2007/02/11 19:51:38  arekm
- reorder patches

Revision 1.39  2007/02/11 14:58:40  arekm
- up to 1.07; 3 patches need update; rest obsolete

Revision 1.38  2005/05/17 14:50:03  darekr
- defined _sbindir to /sbin

Revision 1.37  2005/03/16 12:15:11  havner
- reverted, sorry, my fault

Revision 1.36  2005/03/16 12:09:08  havner
- nice idea, but patch broken yet

Revision 1.35  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.34  2004/03/08 01:35:01  gotar
- added defaultlogin patch, release 20.1

Revision 1.33  2003/08/31 17:46:11  mmazur
- rel 20 for ac

Revision 1.32  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.31  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.30  2003/05/25 05:50:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2002/11/27 22:06:22  juandon
- new %doc

Revision 1.28  2002/02/23 03:44:49  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/12/07 20:41:05  kloczek
- bump release to 19,
- merge some RH patches,
- merge translations from Conectiva.

Revision 1.24  2001/04/30 16:05:21  kloczek
- added using %{rpmcflags} macro.

Revision 1.23  2001/04/29 18:15:07  bonkey
- release 18
- adjusted autologin patch from
  ftp://ftp.jagunet.com/pub/users/kodis/mingetty-0.9.4-autologin.patch
- added mingetty-autologin-remove-restrictions.patch, which makes
  autologin less restricted

Revision 1.22  2001/01/26 05:37:33  kloczek
- release 17,
- added login to Requires,
- merge fgetc patch from rawhide.

Revision 1.21  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.20  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/10/20 05:19:16  kloczek
- release 16: use new rpm automation.

Revision 1.18  2000/07/04 14:52:30  zagrodzki
- mingetty-remote.patch (/me and baggins)

Revision 1.17  2000/06/14 10:39:18  zagrodzki
- release 13
- mono-console patch (--mono option for setting TERM="linux-m", not just
  "linux")

Revision 1.16  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.15  2000/06/04 23:50:38  kloczek
- cocmetics.

Revision 1.14  2000/06/03 14:42:13  baggins
- added current-time patch (date/time is now updated on every /etc/issue redraw)
- release 12

Revision 1.13  2000/05/28 10:05:36  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.10  1999/08/01 20:20:55  kloczek
- cosmetics.

Revision 1.9  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).
